The project setup enables a business user to completely parameter the inputs of the project and run the flow through a single interface.

![Project Setup.png](Yj7vfmVWacWK)

## Document Intelligence Parameter Tuning

The upstream web application allows users to upload documents to the flow which will subsequently be processed and analyzed. Users are also able to customize project parameters such as inputting a list of keywords to be searched, uploading a keyword search file. Please note that the flow must be rebuilt to process the documents. This can be done by manually triggering the [Flow Build](scenario:FLOWBUILD) scenario.

## Project Parameter Tuning 

1. Selecting a Data Source
    - This feature allows you to upload documents to be processed throughout the flow. You can upload one or multiple files. Once you hit submit, the document(s) is added to the [example_documents](managed_folder:008vhkiq) folder for processing.
2. Document Metadata
   - For each document a row of metadata must be populated in this dataset to inform the name of the entity and the date of the document along with the filename. More information can be found [here](article:13).
3. Keyword Search File
    - This file is leveraged for window extraction to search the documents of keywords related to a particular category. The keyword search file must follow the template of a category as the column header and the corresponding words related to that category to be searched in that column. The current accepted file formats are .csv or .xlsx. Once the file is uploaded, the dataset will be saved down to the [keywords](dataset:keywords) dataset. By default, an [esg keywords example file]{esg_keywords_example.csv}(QT35SMbh0Ha9) is used as input.
4. Process Documents 
    - Press the 'Run Now' button to trigger the [Flow Build](scenario:FLOWBUILD) scenario. It will rebuild the whole flow using the documents provided in this interface. 
5. Open Dashboard
    - Finally access the dashboard to consume the insights created in the project in an interactive way.