## Interactive Dashboard / Drill down on FinBERT Sentiment Analysis 

The interactive dashboard for sentiment analysis is a purpose-built dashboard to analyze high level trends and drill down into aggregated insights.  In this dashboard, a user is able to search a company name and select a category (or multiple categories) to analyze the results of the document intelligence pipeline.  

![Webapp.png](8ljExOnadVdx)

Furthermore, a user can drill down into a sub category to observe the extracted windows from the document as well as the sentiment score. A document viewer is also available on the right side of the screen to analyze results alongside the original document. 

![Webapp Drilldown.png](i6i1nZmUDu9P)

The  **Clear**  button should be used when you want to submit a new set of parameters for analysis and drill down.

## Time Series Frequency Analysis

The time series frequency analysis dashboard enables business users to track the frequency of key words and sentiment overtime. A user can also see how a specific company compares to its peer group by altering the filters on each line chart.

![Word Count.png](9IJKfAIHs3OQ)

![Average Sentiment.png](MSX2rgT1o4gS)

## Topic Modeling 

The topic modeling dashboard allows a user to view the abstract “topics” that occur in the document corpus after applying an LDA topic model. This view is to be leveraged for exploratory analysis in regards to understanding the three topics that naturally occur in the text corpus based on term frequency. 

![Word Cloud.png](K2e83vroO696)

![LDA.png](zg56oJYC6m2o)

